# ``twisted`.`python`.`failure`.`_Frame``

class documentation

`class _Frame: (source)`

View In Hierarchy

A fake frame object, used by `_Traceback`.

Method | `__init__` |
Instance Variable | `f_back` | previous stack frame (towards the caller)
Instance Variable | `f_code` | fake `code` object
Instance Variable | `f_globals` | fake f_globals dictionary (usually empty)
Instance Variable | `f_lineno` | line number
Instance Variable | `f_locals` | fake f_locals dictionary (usually empty)

def __init__(self, frameinfo, back): (source)

Parameters
frameinfo | (methodname, filename, lineno, locals, globals)
back:`frame` | previous (older) stack frame

f_back = (source)
previous stack frame (towards the caller)
f_code = (source)
fake `code` object
f_globals: `dict` = (source)
fake f_globals dictionary (usually empty)
f_lineno = (source)
line number
f_locals: `dict` = (source)
fake f_locals dictionary (usually empty)